<?php get_header(); ?>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/carousel/stepcarousel.js"></script>
	<script type="text/javascript">
	
	stepcarousel.setup({
		galleryid: 'board_carusel', //id of carousel DIV
		beltclass: 'belt', //class of inner "belt" DIV containing all the panel DIVs
		panelclass: 'board_item', //class of panel DIVs each holding content
		autostep: {enable:true, moveby:1, pause:<?php echo FEATURED_SPEED*1000; ?>},
		panelbehavior: {speed:500, wraparound:false, persist:false},
		defaultbuttons: {enable: false, moveby: 1, leftnav: ['http://i34.tinypic.com/317e0s5.gif', -5, 80], rightnav: ['http://i38.tinypic.com/33o7di8.gif', -20, 80]},
		statusvars: ['statusA', 'statusB', 'statusC'], //register 3 variables that contain current panel (start), current panel (last), and total panels
		contenttype: ['inline'] //content setting ['inline'] or ['external', 'path_to_external_file']
	})
	
	</script>
	<div id="content" class="narrowcolumn">
	
	<div id="board">
		<h2>Featured Posts</h2>
		<div id="board_items">
			<div id="board_body">
				<div id="board_carusel">
					<div class="belt">
					<?php $coint_i = carousel_featured_posts(obwp_get_meta(SHORTNAME.'_featured_cat_id'), FEATURED_POSTS); ?>
					</div>
				</div>
			</div>
			<ul id="board_carusel_nav">
			<?php for($i=1;$i<=$coint_i; $i++) { ?>
				<li id="board_carusel_nav_<?php echo $i; ?>"><a <?php if($i==1) echo ' class="selected"'; ?> href="javascript:stepcarousel.stepTo('board_carusel', <?php echo $i; ?>)"><?php echo $i; ?></a></li>
			<?php } ?>
			</ul>
		</div>
	</div>

	<?php if (have_posts()) : ?>
	<div id="post_block">
		<?php $i=0; while (have_posts()) : the_post(); $i++; ?>

			<div class="post_box<?php if($i%2==0) echo ' post_box_right'; ?>" id="post-<?php the_ID(); ?>">
				<div class="post_box_cat">
					<?php
					foreach((get_the_category()) as $category) { 
						echo '<p><a href="'.get_category_link( $category->cat_ID ).'">'.$category->cat_name.'</a></p>';
						break;
					} 
					?> 
				</div>
				<div class="post_box_title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p>By <b><?php the_author() ?></b> | Posted on <?php the_time('d-m-Y') ?></p>
				</div>
				<div class="post_box_entry">
					<?php $thumb = obwp_getcustomfield('thumb', get_the_ID()); if(!empty($thumb)) : ?>
					<a href="<?php the_permalink() ?>"><img src="<?php echo $thumb; ?>" alt="<?php the_title_attribute(); ?>" /></a>
					<?php endif; ?>
					<p><?php the_content_limit(500); ?></p>
				</div>
			</div>

		<?php endwhile; ?>
	
		<?php 
		$next_page = get_next_posts_link('Previous'); 
		$prev_pages = get_previous_posts_link('Next');
		if(!empty($next_page) || !empty($prev_pages)) :
		?>
		<!-- navigation -->
		<div class="navigation">
			<?php if(!function_exists('wp_pagenavi')) : ?>
            <div class="alignleft"><?php echo $next_page; ?></div>
            <div class="alignright"><?php echo $prev_pages; ?></div>
            <?php else : wp_pagenavi(); endif; ?>
		</div>
		<!-- /navigation -->
		<?php endif; ?>
	</div>
	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>
	<?php get_sidebar(); ?>

<?php get_footer(); ?>
